#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: haskell-xmpp
version: 1.0.2
id: haskell-xmpp-1.0.2-6dc7d884f85f7ea2b6c5fef3bbcf341f
key: haske_4BYik5mUQNeHUsr82kGSCT
license: BSD3
copyright: (c) 2005-2011 Dmitry Astapov, k.pierre
maintainer: Dmitry Astapov <dastapov@gmail.com>
stability: Stable
homepage: http://patch-tag.com/r/adept/haskell-xmpp/home
synopsis: Haskell XMPP (eXtensible Message Passing Protocol, a.k.a. Jabber) library
description:
    Haskell XMPP (eXtensible Message Passing Protocol, a.k.a. Jabber) library
    .
    Unlike package network-protocol-xmpp, which uses libxml-sax, this library uses HaXml and supports MUC.
    However, MUC support of the moment is worse than that in package XMPP.
    .
    This library make extensive use of STM and threads to simplify writing message-handling code.
category: Network
author: Dmitry Astapov <dastapov@gmail.com>, pierre <k.pierre.k@gmail.com>
exposed: True
exposed-modules:
    Network.XMPP Network.XMPP.Sasl Network.XMPP.Core Network.XMPP.Types
    Network.XMPP.Print Network.XMPP.Helpers Network.XMPP.Stream
    Network.XMPP.Stanza Network.XMPP.Utils Network.XMPP.IM.Presence
    Network.XMPP.JID Network.XMPP.IQ Network.XMPP.UTF8 Network.XMPP.MD5
    Network.XMPP.Base64 Network.XMPP.XEP.MUC Network.XMPP.XEP.Delayed
    Network.XMPP.XEP.Version Network.XMPP.Concurrent
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/haskell-xmpp-1.0.2
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/haskell-xmpp-1.0.2
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/haskell-xmpp-1.0.2
hs-libraries: HShaskell-xmpp-1.0.2-4BYik5mUQNeHUsr82kGSCT
include-dirs: /usr/local/include
depends:
    HaXml-1.25.3-00ac72926800c52f9a01871a449e2ac1
    array-0.5.1.0-d4206b835b96b5079d918fa1eab1a9a8
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    html-1.0.1.2-e6bf691e7a1dca9cd110e483ffd68985
    mtl-2.2.1-5cf332b11edb88a6040af20fd6a58acb
    network-2.6.2.1-9490071e8bb5bde351680d4e75451a12
    polyparse-1.11-60530cfdd9a577b75a00674d894decbf
    pretty-1.1.2.0-b0c90c4562609e57954c7f75231d980f
    random-1.1-3dda2690fd91339395d65768b92ac58f
    regex-compat-0.95.1-e50502312ccfb1a89bd22db9d575dc4f
    stm-2.4.4-2526ff89874f899372b2e4f544bb03cd
    utf8-string-1-ee5643b7fea66dd4ee6e92ea89e4fe77
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/haskell-xmpp-1.0.2/html/haskell-xmpp.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/haskell-xmpp-1.0.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
